﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Marble_Puzzle_Editor
{
    class Marble:Button
    {
        public int Row, Col, Kolor;

        Color[] kolory =
           { Color.Black, Color.Navy, Color.Red, Color.Magenta, Color.Lime, Color.Cyan, Color.Orange, Color.Silver, Color.Sienna };

        Marble Wybrany;
        
        //konstruktor 1 - dla planszy
        public Marble(int pRow, int pCol, Marble pWybrany)
        {
             Row = pRow;
             Col = pCol;
              Kolor = 0;

            this.Width = 32;
            this.Height = 32;

            this.BackColor = kolory[0];

            Wybrany = pWybrany;
            this.Click += new EventHandler(this.ZmienKolor);
        }

        //konstruktor 2 - dla menu
        public Marble(int pKolor,Marble pWybrany)
        {
         
            this.Width = 32;
            this.Height = 32;

            UstawKolor(pKolor);

            Wybrany = pWybrany;
            this.Click += new EventHandler(this.WybierzKolor);

        }

        //konstruktor 3 - dla wybranego koloru
        public Marble()
        {

            this.Width = 32;
            this.Height = 32;

            UstawKolor(0);
        }


        private void ZmienKolor(object sender, EventArgs e)
        {
            UstawKolor(Wybrany.Kolor);
        }

        public void UstawKolor (int pKolor)
        {
            Kolor = pKolor;
            this.BackColor = kolory[Kolor];

        }

        private void WybierzKolor(object sender, EventArgs e)
        {
            Wybrany.UstawKolor(Kolor);
      
        }

    }
}
