﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Marble_Puzzle_Editor
{
    public partial class Form1 : Form
    {
        //zmienne
        Marble[,] Plansza;
        Marble []EditorMenu;



        public Form1()
        {
            InitializeComponent();
            Plansza = new Marble[8, 8];
            EditorMenu=new Marble[9];

            //wybrany kolor
            Marble Wybrany = new Marble();
            Wybrany.Left = 400;
            Wybrany.Top = 470;
            Wybrany.Parent = this;

            //plansza
            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 8; j++)
                {
                    Plansza[i, j] = new Marble(i,j,Wybrany);
                    Plansza[i, j].Top = 100 + i * 36;
                    Plansza[i, j].Left = 100 + j * 36;
                    Plansza[i, j].Parent = this;
                 }

            }

         

            //menu
            for (int i = 0; i < 9; i++)
            {
               
                    EditorMenu[i] = new Marble(i,Wybrany);
                    EditorMenu[i].Top = 100 + i * 36;
                    EditorMenu[i].Left = 400;
                    EditorMenu[i].Parent = this;
           }

          
        



        }

        private void btnWynik_Click(object sender, EventArgs e)
        {
            string tekst = "";
            int High4Bits;
            int Low4Bits;
            int Kolor1, Kolor2;
            int Wynik;


            for (int i = 0; i < 8; i++)         //rzędy
            {
                tekst += " .BYTE ";
                for (int j = 0; j < 8; j=j+2)     //kolumny
                {

                    Kolor1=Plansza[i,j].Kolor;
                    if (Kolor1==8) Kolor1+=(int)nudDiamondCl.Value;  //diament
                    High4Bits=Kolor1*16;

                    Kolor2=Plansza[i,j+1].Kolor;
                    if (Kolor2==8) Kolor2+=(int)nudDiamondCl.Value;  //diament
                    Low4Bits=Kolor2;
                    
                    Wynik=High4Bits+Low4Bits;
                    tekst+=Wynik.ToString();

                    if (j!=6)
                    {
                        tekst+=",";
                    }
                    else
                    {
                        tekst+=Environment.NewLine;
                    }
                }
            }
            tbxWynik.Text = tekst;

        }

        private void btnMirror_Click(object sender, EventArgs e)
        {
            int k1,k2;
            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 4; j++)
                {
                    k1 = Plansza[i, j].Kolor;
                    k2 = Plansza[i, 7-j].Kolor;
                    Plansza[i, j].UstawKolor(k2);
                    Plansza[i, 7-j].UstawKolor(k1);
                    
                }

            }

        }
    }
}